int main(void)
{
    /* Builtin functions */
    double sin(double);

    /* Local variables */
    static float rint[2000] /* was [50][40] */,
                    f[2000] /* was [50][40] */;
    static int i__, j, m, n;
    static float x, h1, h2, x1[50], x2[40];
    extern int qtsxr_c(float *, float *, float *, float *, int *, int *);
    int i__1, i__2;

#define rint_ref(a_1,a_2) rint[(a_2)*50 + a_1 - 51]
#define f_ref(a_1,a_2) f[(a_2)*50 + a_1 - 51]

    h1 = .064114081632653058f;
    h2 = .08055358974358974f;
    n = 50;
    m = 40;
    x1[0] = 0.f;
    x2[0] = 0.f;
    x1[1] = h1 / 4.f;
    x2[1] = h2 / 4.f;
    i__1 = n;
    for (i__ = 3; i__ <= i__1; ++i__) {
/* L1: */
        x1[i__ - 1] = x1[i__ - 3] + h1 * 2.f;
    }
    i__1 = m;
    for (j = 3; j <= i__1; ++j) {
/* L2: */
        x2[j - 1] = x2[j - 3] + h2 * 2.f;
    }
    i__1 = n;
    for (i__ = 1; i__ <= i__1; ++i__) {
        i__2 = m;
        for (j = 1; j <= i__2; ++j) {
            x = x1[i__ - 1] + x2[j - 1];
/* L3: */
            f_ref(i__, j) = (float)sin(x);
        }
    }
    qtsxr_c(rint, x1, x2, f, &n, &m);

        printf("\n  %16.7f %16.7f %16.7f %16.7f \n",
            rint_ref(1, 1), rint_ref(2, 2), rint_ref(n-1, m), rint_ref(n, m));
    return 0;
} /* main */

#undef f_ref
#undef rint_ref
